<?php

// Vkládám soubor třídy Sendmail
require_once "./classes/Sendmail.php";
// Vytvářím objekt třídy Sendmail
$sendMail = new Sendmail;

// Pokud byl odeslán email (data z formuláře)
if (filter_has_var(INPUT_POST, "send")) {
    
    // Pomocí metod nastavuju vlastnosti objektu
    $sendMail->setRecipientEmail("email313131@seznam.cz");
    $sendMail->setSubject("Vzorový web pro studium tvorby www.");
    $sendMail->setParamsFromSender();
    $sendMail->setHeaders();
    
    // Volání metody můžeme umístit i do podmínky
    if ($sendMail->sendEmail()) {
        $errors[] = "Email byl v pořádku odeslán";
        unset($sendMail);
    }
    // Pokud nedošlo k odeslání emailu načteme chyby
    else {
        $errors = $sendMail->getErrors(); 
    }
}

    $description = "";
    require_once "./inc/head.inc.php";
?>

    <div class="container">

        <div class="col-sm-8">
            <h1><?=$menu->getPageTitle()?></h1>
            
            <hr>
            

            <div class="alert alert-danger">
                
                <p><strong>Napište nám email:</strong></p>    
                <?php
                // Vypíšeme potvrzení odeslání emailu nebo chyby, které odeslání zabránily
                if (isset($errors) && $errors) {
                    foreach ($errors as $value) {
                        echo $value ." <br>";
                    }
                }
                ?>
            </div>
            
            <div class="well">

                <form method="post" action="" role="form">
                    <div class="form-group">
                        <input type="text" name="sender_name" class="form-control" placeholder="Vaše jméno" value="<?=$sendMail->getSenderVar('sender_name')?>">
                    </div>

                    <div class="form-group">
                        <input type="email" name="sender_email" class="form-control" placeholder="Váš email" value="<?=$sendMail->getSenderVar('sender_email')?>">
                    </div>

                    <div class="form-group">
                        <textarea name="message" class="form-control" placeholder="Text zprávy" rows="3"><?=$sendMail->getSenderVar('message')?></textarea>
                    </div>

                    <div class="form-group">
                        <input type="submit" name="send" class="btn btn-primary" value="Odeslat zprávu">
                    </div>
                </form>
                
            </div>
            
        </div>
        
               
        
        <div class="col-sm-4"> 
            <h2>Úlohy</h2>
                
            <div class="well">
                <ol>
                    <li>Správně nastavte email příjemce na váš email</li>
                    <li>Ke všem textovým polím formuláře doplňte speciální atribut <em>req.....</em>, který zabrání odeslání formuláře v případě, že toto pole je prázdné.</li>
                </ol>
            </div>
        </div> 

    </div><!-- /.container -->            


